summaryrefslogtreecommitdiffstats
path: root/games/0ad/0ad.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/0ad/0ad.SlackBuild')
-rw-r--r--games/0ad/0ad.SlackBuild12
1 files changed, 9 insertions, 3 deletions
diff --git a/games/0ad/0ad.SlackBuild b/games/0ad/0ad.SlackBuild
index 524b16e406..514f61c116 100644
--- a/games/0ad/0ad.SlackBuild
+++ b/games/0ad/0ad.SlackBuild
@@ -2,6 +2,7 @@
#
# Slackware build script for 0.A.D.
#
+# Copyright 2020 Tim Dickson, Scotland
# Copyright 2016-2017 Reedych <reedych@ya.ru>
# Copyright 2010-2016 Erik W. Hanson, Minneapolis, MN, USA
# All rights reserved.
@@ -24,9 +25,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=0ad
-VERSION=${VERSION:-0.0.21}
+VERSION=${VERSION:-0.0.23b}
RELEASE=${RELEASE:-alpha}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -56,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -80,9 +81,14 @@ export LDFLAGS="-L/usr/lib${LIBDIRSUFFIX}"
# Fix boost names
sed -i 's/-mt//g' build/premake/extern_libs4.lua
+#allow for ATLAS to be yes.
+[ "x$ATLAS" = "xyes" ]&& ATLAS="enable"
# build/workspaces/update-workspaces.sh
# have a root check, let's disable it.
patch -p1 < $CWD/disable-root-check.patch
+#apply a segfault fixing patch
+#sourced from https://code.wildfiregames.com/file/data/nryu3qhun4v6uroyiqoc/PHID-FILE-osgvknec7zmfuja5xqq4/D1852.diff
+patch -p2 < $CWD/D1852.diff
build/workspaces/update-workspaces.sh \
--bindir=/usr/games \